// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

public interface Wbb_WebServiceSoap extends java.rmi.Remote {
	public java.lang.String wbb_LemmaSearch(java.lang.String lemma)
			throws java.rmi.RemoteException;

	public java.lang.String wbb_LemmaSearch2Xml(java.lang.String lemma)
			throws java.rmi.RemoteException;

	public java.lang.String selectlemmatafromwbb(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String offset, java.lang.String limit)
			throws java.rmi.RemoteException;

	public java.lang.String selectlemmatafromwbb_09(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String offset, java.lang.String limit)
			throws java.rmi.RemoteException;

	public java.lang.String wbb_LemmaSearch4RCP2Xml(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String limit) throws java.rmi.RemoteException;

	public java.lang.String wbb_LemmaSearch4_NEW_RCP2Xml(
			java.lang.String lemma, java.lang.String wbbList,
			java.lang.String suchArt, java.lang.String offset,
			java.lang.String limit) throws java.rmi.RemoteException;

	public java.lang.String wbb_LemmaSearch4_NEW_RCP2Xml_linking(
			java.lang.String lemma, java.lang.String wbbList,
			java.lang.String suchArt, java.lang.String offset,
			java.lang.String limit) throws java.rmi.RemoteException;

	public java.lang.String wbb_getLinking4_LinkEditor(java.lang.String lemma,
			java.lang.String lemmaID) throws java.rmi.RemoteException;

	public java.lang.String wbb_getLinks(java.lang.String sourceid)
			throws java.rmi.RemoteException;

	public java.lang.String wbb_setLink(java.lang.String sourceID,
			java.lang.String sourcefolder, java.lang.String targetID,
			java.lang.String targetfolder, java.lang.String bName,
			java.lang.String quality, java.lang.String comment,
			java.lang.String semanticRelation, java.lang.String etymRelation,
			java.lang.String SID, java.lang.String approved,
			java.lang.String deleted, java.lang.String editable)
			throws java.rmi.RemoteException;

	public java.lang.String wbb_getAllSemanticRelations()
			throws java.rmi.RemoteException;

	public java.lang.String wbb_getAllEtymRelations()
			throws java.rmi.RemoteException;

	public java.lang.String wbb_LemmaSearch4_NEW_RCP2Xml_FirstLine(
			java.lang.String lemma, java.lang.String wbbList,
			java.lang.String suchArt, java.lang.String offset,
			java.lang.String limit) throws java.rmi.RemoteException;

	public java.lang.String wbb_LemmaSearch4_NEW_RCP2Xml_FirstLine_Ext(
			java.lang.String lemma, java.lang.String wbbList,
			java.lang.String suchArt, java.lang.String offset,
			java.lang.String limit, java.lang.String linking)
			throws java.rmi.RemoteException;

	public java.lang.String wbb_getAllDictionarys(java.lang.String authID)
			throws java.rmi.RemoteException;

	public java.lang.String wbb_LemmaSearch4Web(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String limit) throws java.rmi.RemoteException;

	public java.lang.String wbb_LemmaSearch4Web_lux(java.lang.String lemma,
			java.lang.String wbbList, java.lang.String suchArt,
			java.lang.String limit) throws java.rmi.RemoteException;
}
